Loading...
Searching...
No Matches
RGroupDecompParams.h File Reference
`#include "../RDKitBase.h"`
`#include <GraphMol/Substruct/SubstructMatch.h>`
`#include <RDGeneral/BetterEnums.h>`

Go to the source code of this file.

## Classes

struct | RDKit::RGroupDecompositionParameters

## Namespaces

namespace | RDKit
| Std stuff.

## Functions

| RDKit::BETTER_ENUM (RGroupLabels, unsigned int, IsotopeLabels=0x01, AtomMapLabels=0x02, AtomIndexLabels=0x04, RelabelDuplicateLabels=0x08, MDLRGroupLabels=0x10, DummyAtomLabels=0x20, AutoDetect=0xFF)
| RDKit::BETTER_ENUM (RGroupMatching, unsigned int, Greedy=0x01, GreedyChunks=0x02, Exhaustive=0x04, NoSymmetrization=0x08, GA=0x10)
| RDKit::BETTER_ENUM (RGroupLabelling, unsigned int, AtomMap=0x01, Isotope=0x02, MDLRGroup=0x04)
| RDKit::BETTER_ENUM (RGroupCoreAlignment, unsigned int, NoAlignment=0x0, MCS=0x01)
| RDKit::BETTER_ENUM (RGroupScore, unsigned int, Match=0x1, FingerprintVariance=0x4)